/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\bootsofconstruction.cs
Lines of code: 34

Description: 

***********************************************************/


//******************************************************************
//NOTE:  This artifact has been converted over to PeregrinesDive
//******************************************************************


using Server;
using System;

namespace Server.Items
{
	
	public class bootsofconstruction : Boots
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public bootsofconstruction() : base()
		{
		Name="Boots of the Legendary Construction Worker";
		Hue=906;

        Resistances.Physical=35;
		}
		

		public bootsofconstruction( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		
		public override void OnAfterLoad()
		{
			
			Misc.ObjectConverter.ConvertItem(this,new PeregrinesDive());
		}		
	}
	
}